# <img align="left" width="172" height="127" src="https://raw.githubusercontent.com/smshuai/DriverPower/v1.0/docs/source/pics/logo.png">
***A tool for computational cancer driver discovery***

![Github version](https://img.shields.io/badge/version-1.0.2-yellow.svg)
[![GitHub license](https://img.shields.io/badge/license-AGPL-blue.svg)](./LICENSE)
[![PyPI version](https://badge.fury.io/py/DriverPower.svg)](https://badge.fury.io/py/DriverPower)
[![Documentation Status](https://readthedocs.org/projects/driverpower/badge/?version=latest)](http://driverpower.readthedocs.io/en/latest/?badge=latest)

[Installation](https://driverpower.readthedocs.org/en/latest/install.html) |
[Quick start](https://driverpower.readthedocs.org/en/latest/quick_start.html) |
[Documentation](https://driverpower.readthedocs.org)

DriverPower is a tool used to discover potential coding and non-coding cancer driver elements from tumour whole-genome or whole-exome somatic mutations.
## Installation

DriverPower requires Python >= 3.5 and some other packages. If you don't have Python 3.5 or higher, we recommend to install Python with [Anaconda](https://www.continuum.io/downloads).

To install DriverPower, you can either download and install it from [Python Package Index (PyPI)](https://pypi.python.org/pypi/DriverPower/) by typing the following command in your terminal
```bash
$ pip install driverpower
```
or download the [latest source](https://github.com/smshuai/DriverPower/releases/latest/) to install. For example, to install version 1.0.0:
```console
$ tar -xzf DriverPower-1.0.1.tar.gz
$ cd DriverPower-1.0.1/ && pip install .
```
See more details at [installation](https://driverpower.readthedocs.org/en/latest/install.html).

## License
DriverPower is distributed under the terms of the [GNU General Public License 3.0](https://www.gnu.org/licenses/gpl-3.0.txt).

## Change log
- 2017/11/22: Release version 1.0.1, which has bugs fixes and improved performance.
- 2017/08/03: Release version 1.0.0, which is used in our manuscript.
- 2017/03/02: Release version 0.4.0, which is used in the PCAWG driver analysis.
